Bug 1261928 - policycoreutils-python invalid locale
policycoreutils-python invalid locale
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 08:55 EDT by James Findley
Modified: 2015-09-25 06:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: policycoreutils-2.3-18.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 06:54:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Findley 2015-09-10 08:55:25 EDT
Running on atomic using the f22-testing branch, I get:

$ audit2allow
Traceback (most recent call last):
  File "/usr/bin/audit2allow", line 34, in <module>
    locale.setlocale(locale.LC_ALL, '')
  File "/usr/lib64/python2.7/locale.py", line 579, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

Package version: policycoreutils-python-2.3-17.fc22.x86_64

OS refspec:
* 2015-09-08 21:16:33     22.72     d7c2a14527     fedora-atomic     fedora-atomic:fedora-atomic/f22/x86_64/testing/docker-host
Comment 1 Petr Lautrbach 2015-09-10 08:59:52 EDT
Same as bug #1208529. I'll push an update with the fix [1] today.

[1] https://github.com/fedora-selinux/selinux/commit/c8400be1e608ae21a27568d70d93e70e4dc808b6
Comment 2 Daniel Walsh 2015-09-10 09:37:50 EDT
Awesome.
Comment 3 Fedora Update System 2015-09-10 14:35:05 EDT
policycoreutils-2.3-18.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15553
Comment 4 Fedora Update System 2015-09-11 15:54:09 EDT
policycoreutils-2.3-18.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update policycoreutils'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15553
Comment 5 Fedora Update System 2015-09-25 06:53:56 EDT
policycoreutils-2.3-18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.